﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebImageViewerDemo.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="Scripts/Vintasoft/Vintasoft.Shared.js" type="text/javascript"></script>
    <script src="Scripts/Vintasoft/Vintasoft.Imaging.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
        <center>
        <h2>
            This WebForms demo shows how to view images in HTML5 image viewer.<br />
            Demo uses web services based on HTTP Handlers.
        </h2>
        <br />
        </center>

        <table>
            <tr>
                <td>
                    <div id="WebThumbnailViewer1Div" style="width: 240px; height: 650px" />
                </td>
                <td>
                    <div id="WebImageViewer1Div" style="width: 650px; height: 650px" />
                </td>
            </tr>
        </table>
        <script>
            // specify the default web service for managing of image collection
            Vintasoft.Shared.WebServiceJS.defaultImageCollectionService =
                new Vintasoft.Shared.WebServiceHandlerJS("Handlers/MyVintasoftImageCollectionHandler.ashx");
            // specify the default web service for image rendering
            Vintasoft.Shared.WebServiceJS.defaultImageService =
                new Vintasoft.Shared.WebServiceHandlerJS("Handlers/MyVintasoftImageHandler.ashx");

            // create HTML5 web thumbnail viewer
            var webThumbnailViewer1 = new Vintasoft.Imaging.UI.WebThumbnailViewerJS("WebThumbnailViewer1Div");
            // create HTML5 web image viewer
            var webImageViewer1 = new Vintasoft.Imaging.UI.WebImageViewerJS("WebImageViewer1Div");

            webImageViewer1.set_MasterViewer(webThumbnailViewer1);

            // open TIFF file in HTML5 web viewers
            // directory "Images" is located in the web application directory
            webImageViewer1.get_Images().openFile("web-annotations.tif");
        </script>
    </form>
</body>
</html>
