﻿using Vintasoft.Data;
using Vintasoft.Imaging.Web.HttpHandlers;

namespace WebImageViewerDemo.Handlers
{
    /// <summary>
    /// A HTTP handler
    /// that handles HTTP requests from clients and
    /// allows to manage an image collection.
    /// </summary>
    public class MyVintasoftImageCollectionHandler : VintasoftImageCollectionHandler
    {

        /// <summary>
        /// Initializes a new instance of the <see cref="MyVintasoftImageCollectionHandler"/> class.
        /// </summary>
        public MyVintasoftImageCollectionHandler()
            : base()
        {
            IsEmptySessionSupported = true;
        }

    }
}