﻿using Vintasoft.Data;
using Vintasoft.Imaging.Web.HttpHandlers;

namespace WebImageViewerDemo.Handlers
{
    /// <summary>
    /// A HTTP handler
    /// that handles HTTP requests from clients and
    /// allows to get information about image or render image thumbnail/tile.
    /// </summary>
    public class MyVintasoftImageHandler : VintasoftImageHandler
    {

        /// <summary>
        /// Initializes a new instance of the <see cref="MyVintasoftImageHandler"/> class.
        /// </summary>
        public MyVintasoftImageHandler()
            : base()
        {
            IsEmptySessionSupported = true;
        }

    }
}